<?php

namespace Lc\CaracoleBundle\Solver\Section;

use Lc\CaracoleBundle\Model\Section\SectionInterface;
use Lc\CaracoleBundle\Model\Section\SectionModel;

class SectionSolver
{
    public function isSectionCommon(SectionInterface $section)
    {
        return $section->getDevAlias() == SectionModel::DEVALIAS_COMMON;
    }

    // @TODO : à voir si pertinent
    public function getNewsletter(SectionInterface $section)
    {
        $newsletters = $section->getNewsletters();

        foreach ($newsletters as $newsletter) {
            if ($newsletter->getIsMain()) {
                return $newsletter;
            }
        }

        return false;
    }
}
